Summary: A text-based modem control and terminal emulation program.
Name: minicom
Version: 1.83.1
Release: 5
Copyright: GPL
Group: Applications/Communications
Source: ftp://metalab.unc.edu/pub/Linux/apps/serialcomm/dialout/minicom-%{PACKAGE_VERSION}.src.tar.gz
Patch0: minicom-1.81-config.patch
Patch1: minicom-1.83.1-make.patch
Patch2: minicom-drop-privs.patch
Patch3: minicom-1.83.1-time.patch
Buildroot: /var/tmp/%{name}-root

%description
Minicom is a simple text-based modem control and terminal emulation
program somewhat similar to MSDOS Telix.  Minicom includes a dialing
directory, full ANSI and VT100 emulation, an (external) scripting
language, and other features.

Minicom should be installed if you need a simple modem control program
or terminal emulator.

%prep
%setup -q
%patch0 -p1 -b .config
%patch1 -p1 -b .make
%patch2 -p1 -b .privs
%patch3 -p1 -b .time

%build
make -C src

%install
rm -rf $RPM_BUILD_ROOT
make -C src install R=$RPM_BUILD_ROOT MANDIR=%{_mandir}/man1
install -d $RPM_BUILD_ROOT/etc/X11/applnk/Internet
cat > $RPM_BUILD_ROOT/etc/X11/applnk/Internet/minicom.desktop <<EOF
[Desktop Entry]
Name=Minicom
Name[sv]=Minicom
Type=Application
Comment=Terminal Emulator
Comment[sv]=Terminalemulator
Exec=minicom
Terminal=true
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc demos doc tables
%config /etc/minicom.users
%attr(2755,root,uucp) /usr/bin/minicom
/usr/bin/runscript
/usr/bin/xminicom
/usr/bin/ascii-xfr
%{_mandir}/*/*
%config(missingok) /etc/X11/applnk/Internet/minicom.desktop

%changelog
* Fri Feb 23 2001 Jakub Jelinek <jakub@redhat.com>
- fix build under glibc 2.2.2

* Thu Aug 24 2000 Bill Nottingham <notting@redhat.com>
- drop privs on opening of capture file

* Fri Aug  4 2000 Bill Nottingham <notting@redhat.com>
- add translation to desktop entry

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun 10 2000 Bill Nottingham <notting@redhat.com>
- update to 1.83.1

* Wed Apr  5 2000 Bill Nottingham <notting@redhat.com>
- rebuild against current ncurses/readline

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- wmconfig -> desktop

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description

* Fri Dec 17 1999 Bill Nottingham <notting@redhat.com>
- update to 1.83.0

* Fri Jul 30 1999 Bill Nottingham <notting@redhat.com>
- update to 1.82.1
- s/sunsite/metalab

* Wed May 19 1999 Jeff Johnson <jbj@redhat.com>
- restore setgid uucp to permit minicom to lock in /var/lock (#2922).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Tue Jan 24 1999 Michael Maher <mike@redhat.com>
- fixed bug, changed groups.

* Thu Oct 01 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.82 to include i18n fixes

* Wed Sep 02 1998 Michael Maher <mike@redhat.com>
- Built package for 5.2.

* Sun May 10 1998 Cristian Gafton <gafton@redhat.com>
- security fixes (alan cox, but he forgot about the changelog)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu May 07 1998 Cristian Gafton <gafton@redhat.com>
- BuildRoot; updated .make patch to cope with the buildroot
- fixed the spec file

* Tue May 06 1998 Michael Maher <mike@redhat.com>
- update of package (1.81)

* Wed Oct 29 1997 Otto Hammersmith <otto@redhat.com>
- added wmconfig entries

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- fixed source url

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
